%define major      3
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           ccrtp
Version:        2.1.1
Release:        %mkrel 4
License:        GPLv2+
Summary:        Common C++ class framework for RTP/RTCP
Group:          System/Libraries
URL:            http://www.gnu.org/software/commoncpp/
Source0:        http://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        http://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig

BuildRequires:  libcommoncpp2-devel >= 1.7.0
BuildRequires:  doxygen
BuildRequires:  libgcrypt-devel
BuildRequires:  ucommon-devel

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%package -n     %{libname}
Summary:        Common C++ class framework for RTP/RTCP
Group:          System/Libraries

Obsoletes:      %{_lib}ccrtp2 < 2.2.1-4
Provides:       %{_lib}ccrtp2 = %{version}-%{release}

%description -n %{libname}
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

This package contains the shared library part of ccrtp.

%package -n     %{libnamedev}
Summary:        Header files and libraries for %{name} development
Group:          Development/Other
# Some of the headers are LGPLv2+
License:        GPLv2+ and LGPLv2+

Provides:       ccrtp-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       libcommoncpp2-devel

%description -n %{libnamedev}
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} library.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%post -n %{libnamedev}
%_install_info ccrtp.info

%postun -n %{libnamedev}
%_remove_install_info ccrtp.info

%files -n %{libname}
%doc COPYING README COPYING.addendum
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc doc/html
%{_includedir}/ccrtp
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libccrtp.pc
%{_infodir}/*


%changelog
* Thu Jan 07 2016 daviddavid <daviddavid> 2.1.1-4.mga6
+ Revision: 920268
- rebuild for new ucommon 7.0.0
- fix major of libname subpackage (libccrtp2 to libccrtp3)

* Thu Sep 10 2015 fwang <fwang> 2.1.1-3.mga6
+ Revision: 875441
- rebuild for new libgcrypt

* Mon Aug 24 2015 cjw <cjw> 2.1.1-2.mga6
+ Revision: 868938
- rebuild with gcc 5

* Sun Feb 08 2015 alien <alien> 2.1.1-1.mga5
+ Revision: 814091
- imported package ccrtp

